%define upstream_name    Getopt-Long-Util
%define upstream_version 0.899

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Utilities for Getopt::Long
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Utilities for Getopt::Long

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.899.0-2.mga10
+ Revision: 2216408
- Mageia 10 Mass Rebuild

* Wed Nov 16 2022 tv <tv> 0.899.0-1.mga9
+ Revision: 1907877
- update to 0.899

* Sat Oct 15 2022 tv <tv> 0.898.0-1.mga9
+ Revision: 1896896
- update to 0.898

* Wed Oct 12 2022 tv <tv> 0.897.0-1.mga9
+ Revision: 1896413
- update to 0.897

* Wed Sep 28 2022 tv <tv> 0.896.0-1.mga9
+ Revision: 1893006
- update to 0.896

* Mon Mar 21 2022 umeabot <umeabot> 0.895.0-2.mga9
+ Revision: 1814734
- Mageia 9 Mass Rebuild

* Wed Jul 14 2021 guillomovitch <guillomovitch> 0.895.0-1.mga9
+ Revision: 1735971
- new version 0.895

* Tue Oct 27 2020 guillomovitch <guillomovitch> 0.892.0-1.mga8
+ Revision: 1639869
- new version 0.892

* Tue Apr 28 2020 tv <tv> 0.891.0-1.mga8
+ Revision: 1572651
- update to 0.891

* Wed Feb 12 2020 umeabot <umeabot> 0.890.0-4.mga8
+ Revision: 1504565
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.890.0-3.mga7
+ Revision: 1283935
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.890.0-2.mga7
+ Revision: 1164523
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 0.890.0-1.mga7
+ Revision: 1155364
- new version 0.890

* Sat Dec 17 2016 guillomovitch <guillomovitch> 0.880.0-1.mga6
+ Revision: 1075818
- new version 0.88

* Sun Jun 19 2016 pterjan <pterjan> 0.840.0-2.mga6
+ Revision: 1027895
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 guillomovitch <guillomovitch> 0.840.0-1.mga6
+ Revision: 995576
- new version 0.84

* Fri Feb 19 2016 umeabot <umeabot> 0.830.0-2.mga6
+ Revision: 968091
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.830.0-1.mga6
+ Revision: 851263
- update to 0.83

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-3.mga5
+ Revision: 749901
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 684859
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.770.0-1.mga5
+ Revision: 658290
- imported package perl-Getopt-Long-Util


* Wed Jul 30 2014 cpan2dist 0.77-1mga
- initial mageia release, generated with cpan2dist
